<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="profile.subsystem.picketlink-federation.federation.service-provider" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="error-page,logout-page,post-binding,security-domain,strict-post-binding,support-metadata,support-signatures,url"/>
        <elem name="addr-params" value="profile,subsystem,federation,service-provider"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="profile.subsystem"/>
    </annotation>
    <refs>
        <ref feature="profile.subsystem.picketlink-federation.federation"/>
        <ref feature="profile.subsystem.picketlink-federation"/>
        <ref feature="profile"/>
    </refs>
    <params>
        <param name="federation" feature-id="true"/>
        <param name="security-domain" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="error-page" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="picketlink-federation"/>
        <param name="service-provider" feature-id="true"/>
        <param name="logout-page" nillable="true" stability="default"/>
        <param name="post-binding" nillable="true" stability="default"/>
        <param name="support-signatures" nillable="true" stability="default"/>
        <param name="strict-post-binding" nillable="true" stability="default"/>
        <param name="support-metadata" nillable="true" stability="default"/>
        <param name="url" stability="default"/>
    </params>
</feature-spec>